Bug 3584 - tc from iproute2 package doesn't support HTB queue and ingress policing
: tc from iproute2 package doesn't support HTB queue and ingress policing
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/iproute2)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-02-04 17:44 by
Modified: 2007-01-16 16:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-02-04 17:44:33
tc utility from iproute2 package in Alt Linux Master 2.2 +updates doesn't 
supporrt HTB queue and ingress policing while kernel has corresponding support:

--------------------
[root@sirius firewall]# rpm -qf `which tc`
iproute2-2.4.7-alt3.ss010824
--------------------
[root@sirius firewall]# tc qdisc add dev eth0 handle ffff: ingress
RTNETLINK answers: No such file or directory
--------------------
[root@sirius firewall]# tc qdisc add dev eth0 handle 11: root htb default 26
Unknown qdisc "htb", hence option "default" is unparsable
---------------------

Steps to Reproduce:
1.tc qdisc add dev eth0 handle ffff: ingress
2.tc qdisc add dev eth0 handle 11: root htb default 26

Actual Results:  
got errors

Expected Results:  
no errors and working queueing/policing
------- Comment #1 From 2004-11-29 13:08:16 -------
fixed severity (s/major/enhancement)
------- Comment #2 From 2006-03-04 16:11:02 -------
Reassigned to maintainer.
------- Comment #3 From 2006-10-24 16:17:52 -------
Current build of iproute2 in Sisyphus do support both HTB queue and ingress
policing. As current maintainer I resolve this bugreport as fixed. Please
review and close.